Skip to main content
GET
/
webhooks
/
{webhookId}
/
notifications
/
{notificationId}
TypeScript
const response: Promise<FireblocksResponse<NotificationWithData>> = fireblocks.webhooksV2.getNotification(webhooksV2ApiGetNotificationRequest);
{
  "id": "44fcead0-7053-4831-a53a-df7fb90d440f",
  "createdAt": 1625126400000,
  "updatedAt": 1625126400000,
  "status": "COMPLETED",
  "eventType": "transaction.created",
  "resourceId": "44fcead0-7053-4831-a53a-df7fb90d440f",
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

webhookId
string
required

The ID of the webhook to fetch

notificationId
string
required

The ID of the notification to fetch

Query Parameters

includeData
boolean

Include the data of the notification

Response

OK

id
string<uuid>
required
Example:

"44fcead0-7053-4831-a53a-df7fb90d440f"

createdAt
integer<int64>
required

The creation date of the notification in milliseconds

Example:

1625126400000

updatedAt
integer<int64>
required

The date when the notification was updated in milliseconds

Example:

1625126400000

status
enum<string>
required

The status of the Notification

Available options:
COMPLETED,
FAILED,
IN_PROGRESS,
ON_HOLD
Example:

"COMPLETED"

eventType
enum<string>
required
Available options:
transaction.created,
transaction.status.updated,
transaction.approval_status.updated,
transaction.network_records.processing_completed,
external_wallet.asset.added,
external_wallet.asset.removed,
internal_wallet.asset.added,
internal_wallet.asset.removed,
contract_wallet.asset.added,
contract_wallet.asset.removed,
vault_account.created,
vault_account.asset.added,
vault_account.asset.balance_updated,
embedded_wallet.status.updated,
embedded_wallet.created,
embedded_wallet.asset.balance_updated,
embedded_wallet.asset.added,
embedded_wallet.account.created,
embedded_wallet.device.added,
onchain_data.updated,
connection.added,
connection.removed,
connection.request.waiting_peer_approval,
connection.request.rejected_by_peer
resourceId
string<uuid> | null

The resource id of the event which the Notification is listen to

Example:

"44fcead0-7053-4831-a53a-df7fb90d440f"

data
object

notification data